Package org.drinkless.tdlib

# Class TdApi.AttachmentMenuBotColor

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AttachmentMenuBotColor

Enclosing class:
  TdApi

public static class TdApi.AttachmentMenuBotColor extends TdApi.Object
Describes a color to highlight a bot added to attachment menu.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `darkColor`
  Color in the RGB24 format for dark themes.
  `int`
  `lightColor`
  Color in the RGB24 format for light themes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachmentMenuBotColor()`
  Describes a color to highlight a bot added to attachment menu.
  `AttachmentMenuBotColor(int lightColor, int darkColor)`
  Describes a color to highlight a bot added to attachment menu.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### lightColor

    public int lightColor
    Color in the RGB24 format for light themes.

  - ### darkColor

    public int darkColor
    Color in the RGB24 format for dark themes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AttachmentMenuBotColor

    public AttachmentMenuBotColor()
    Describes a color to highlight a bot added to attachment menu.

  - ### AttachmentMenuBotColor

    public AttachmentMenuBotColor(int lightColor, int darkColor)
    Describes a color to highlight a bot added to attachment menu.
    Parameters:
      `lightColor` - Color in the RGB24 format for light themes.
      `darkColor` - Color in the RGB24 format for dark themes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR